SDL_GetEnvironment(3)

NAME
SDL_GetEnvironment - Get the process environment.

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

SDL_Environment * SDL_GetEnvironment(void);

DESCRIPTION
This is initialized at application start and is not affected by setenv() and unsetenv() calls after that point. Use SDL_SetEnvironmentVariable() and SDL_UnsetEnvironmentVariable() if you want to modify this environment, or SDL_setenv_unsafe() or SDL_unsetenv_unsafe() if you want changes to persist in the C runtime environment after SDL_Quit().

RETURN VALUE
Returns a pointer to the environment for the process or NULL on failure; call SDL_GetError() for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetEnvironmentVariable(3), SDL_GetEnvironmentVariables(3), SDL_SetEnvironmentVariable(3), SDL_UnsetEnvironmentVariable(3)